<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLbmGroupReq StructType
 * @subpackage Structs
 */
class AddLbmGroupReq extends APIRequest
{
    /**
     * The lbmGroup
     * @var XLbmGroup
     */
    public $lbmGroup;
    /**
     * Constructor method for AddLbmGroupReq
     * @uses AddLbmGroupReq::setLbmGroup()
     * @param XLbmGroup $lbmGroup
     */
    public function __construct(XLbmGroup $lbmGroup = null)
    {
        $this
            ->setLbmGroup($lbmGroup);
    }
    /**
     * Get lbmGroup value
     * @return XLbmGroup|null
     */
    public function getLbmGroup()
    {
        return $this->lbmGroup;
    }
    /**
     * Set lbmGroup value
     * @param XLbmGroup $lbmGroup
     * @return AddLbmGroupReq
     */
    public function setLbmGroup(XLbmGroup $lbmGroup = null)
    {
        $this->lbmGroup = $lbmGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLbmGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
